Subject: bug#50599: [External] : bug#50599: [PATCH] Don't recommend against "\[...]" substitutions for performance

From: Drew Adams <[email-masked]>
Date: Wed, 15 Sep 2021 15:46:52 +0000

> I see no reason to keep use of "\\[...]" to the minimum.  In any
> realistic use, my investigation has demonstrated that there is no
> problem with using it for reasons of performance.
> 
> Instead of discouraging it, we should encourage its use, as it leads
> to better documentation.  For example, compare the current
> 'ibuffer-mode' docstring to what you get if you replace the list of
> commands (with its categories, explanations, etc.) with a blanket
> "\\{ibuffer-mode-map}".  So I find the advice not only irrelevant but
> misleading.

Haven't looked at Stefan's patch, but FWIW I agree
with what he's said: encourage, don't discourage,
the use.  That's the right approach - 100%.

It's fine to simply mention that \[...] (and 
\\{...} and \\<...> perhaps?) takes time to look
up information.  Based on just that info users can
themselves figure out how much they want to use
these constructs, based on expected users of their
doc strings, context, etc.

There's no need for more than a mention that these
constructs require some processing - IMHO.